import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { AdInfo } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 10:30
 */
interface AdInfoCU extends ConditionUtil<AdInfoCU> {
    ID: FieldUtil<AdInfoCU>;
    NAME: FieldUtil<AdInfoCU>;
    URL: FieldUtil<AdInfoCU>;
    SOURCE: FieldUtil<AdInfoCU>;
    PARTNER: FieldUtil<AdInfoCU>;
    STATUS: FieldUtil<AdInfoCU>;
    CREATE_TIME: FieldUtil<AdInfoCU>;
    CREATOR: FieldUtil<AdInfoCU>;
    UPDATE_TIME: FieldUtil<AdInfoCU>;
    UPDATOR: FieldUtil<AdInfoCU>;
    DESCRIPTION: FieldUtil<AdInfoCU>;
}
declare class AdInfoMU extends TableUtilImpl<AdInfoCU, AdInfo> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): AdInfoCU;
    static get ID(): FieldUtil<AdInfoCU>;
    static get NAME(): FieldUtil<AdInfoCU>;
    static get URL(): FieldUtil<AdInfoCU>;
    static get SOURCE(): FieldUtil<AdInfoCU>;
    static get PARTNER(): FieldUtil<AdInfoCU>;
    static get STATUS(): FieldUtil<AdInfoCU>;
    static get CREATE_TIME(): FieldUtil<AdInfoCU>;
    static get CREATOR(): FieldUtil<AdInfoCU>;
    static get UPDATE_TIME(): FieldUtil<AdInfoCU>;
    static get UPDATOR(): FieldUtil<AdInfoCU>;
    static get DESCRIPTION(): FieldUtil<AdInfoCU>;
    get ID(): FieldUtil<AdInfoCU>;
    get NAME(): FieldUtil<AdInfoCU>;
    get URL(): FieldUtil<AdInfoCU>;
    get SOURCE(): FieldUtil<AdInfoCU>;
    get PARTNER(): FieldUtil<AdInfoCU>;
    get STATUS(): FieldUtil<AdInfoCU>;
    get CREATE_TIME(): FieldUtil<AdInfoCU>;
    get CREATOR(): FieldUtil<AdInfoCU>;
    get UPDATE_TIME(): FieldUtil<AdInfoCU>;
    get UPDATOR(): FieldUtil<AdInfoCU>;
    get DESCRIPTION(): FieldUtil<AdInfoCU>;
}
export { AdInfoMU, AdInfoCU };
